**Dockerfile**
the main docker file is for dev mode and it will going to use 8080
**Dockerfile.prod**
this file is used to build project for production. it will serve the build result wit nginx and will expose "80" port for the project.

**docker-compose**
this can be used if you want to run the project with docker compose. it will run the prodution file and will expose 8080 port.
